Name:           lager
Version:        0.1.1
Release:        %mkrel 1
Summary:        C++ library for value-oriented design
License:        BSL-1.0
Group:          System/Libraries
URL:            https://github.com/arximboldi/lager
Source0:        https://github.com/arximboldi/lager/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         lager-0.1.0-sassc.patch
# Header-only packages
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  cmake(catch2)
BuildRequires:  cmake(immer)
BuildRequires:  cmake(zug)
BuildRequires:  sassc

%description
lager is a C++ library to assist value-oriented design by implementing the
unidirectional data-flow architecture. It is heavily inspired by Elm and Redux,
and enables composable designs by promoting the use of simple value types and
testable application logic via pure functions. And you get time-travel for
free!

%package devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}

%description devel
Development files (Headers etc.) for %{name}.

%prep
%autosetup -p1

sed -i 's|lager VERSION 0.1.0|lager VERSION %{version}|' CMakeLists.txt

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_datadir}
%cmake_build

%install
%cmake_install

%files
%doc README.rst
%license LICENSE
%{_datadir}/%{name}/

%files devel
%doc README.rst
%{_includedir}/%{name}/
%{_datadir}/cmake/Lager/


%changelog
* Mon Oct 16 2023 daviddavid <daviddavid> 0.1.1-1.mga10
+ Revision: 1997823
- new version: 0.1.1

* Mon Oct 09 2023 daviddavid <daviddavid> 0.1.0-1.mga10
+ Revision: 1993942
- initial package lager (needed for krita)

